]> arthur.barton.de Git - bup.git/blobdiff - t/unknown-owner
Configure python, use it, and embed during install
[bup.git] / t / unknown-owner
index 00442a42e83ade4e624eb8e9c59caf0d3309f8fc..210c5b3fe41350f3edaae673fb5b241bd5347127 100755 (executable)
@@ -1,4 +1,9 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/../cmd/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 
 import grp
 import pwd